#
#  Makefile for Sies2LD set of tools
#
# Compiler and options:
#  FC     = ifort
#  FFLAGS = -mp1 -O3 -pc80 -prec_div -w
   FC     = gfortran
   FFLAGS = -fdefault-real-8 -O2
#  FC=f95
#  FFLAGS=-g -C=all -C=undefined
  LFLAGS = $(FFLAGS)
#
  EXECS = bonds fcexp fcfit fcmat fcxsf phdos phbds scell velcf vibq0 zrofc
  .f.o      : $(FC) -c $(FFLAGS) $<

all: $(EXECS)
   bonds_obj  = bonds.o
   fcexp_obj  = fcexp.o   mkperm.o   opnout.o   read_xv.o  
   fcfit_obj  = bloc1n.o  bloc2n.o   fcfit.o    find3.o    makefc.o \
                opnout.o  paramfc.o  read_xv.o  sortnn.o
   fcmat_obj  = fcmat.o   find3.o    inver3.o   opnout.o   read_xv.o  rs.o \
                locsys.o  makebox.o fillbox.o  hit.o  sortnn.o
   fcxsf_obj  = fcxsf.o   opnout.o   read_xv.o  rs.o  inver3.o  makebox.o \
                fillbox.o  hit.o
   phdos_obj  = phdos_xyz_s.o   read_ev.o  read_sym.o  read_xv.o
   phbds_obj  = phbds.o   read_ev.o  read_xv.o  stre.o  
   scell_obj  = scell.o   expand.o   inver3.o
   velcf_obj  = velcf.o   opnout.o   test_md.o  test_ani.o  read_vmd.o
   vibq0_obj  = vibq0.o   opnout.o   read_xv.o  rs.o  hermdp.o
   zrofc_obj  = zrofc.o  

  bonds  : $(bonds_obj)
	   $(FC) $(LFLAGS) -o $@ $(bonds_obj)
  fcexp  : $(fcexp_obj)
	   $(FC) $(LFLAGS) -o $@ $(fcexp_obj)
  fcfit  : $(fcfit_obj)
	   $(FC) $(LFLAGS) -o $@ $(fcfit_obj)
  fcmat  : $(fcmat_obj)
	   $(FC) $(LFLAGS) -o $@ $(fcmat_obj)
  fcxsf  : $(fcxsf_obj)
	   $(FC) $(LFLAGS) -o $@ $(fcxsf_obj)
  phdos  : $(phdos_obj)
	   $(FC) $(LFLAGS) -o $@ $(phdos_obj)
  phbds  : $(phbds_obj)
	   $(FC) $(LFLAGS) -o $@ $(phbds_obj)
  scell  : $(scell_obj)
	   $(FC) $(LFLAGS) -o $@ $(scell_obj)
  velcf  : $(velcf_obj)
	   $(FC) $(LFLAGS) -o $@ $(velcf_obj)
  vibq0  : $(vibq0_obj)
	   $(FC) $(LFLAGS) -o $@ $(vibq0_obj)
  zrofc  : $(zrofc_obj)
	   $(FC) $(LFLAGS) -o $@ $(zrofc_obj)

clean:
	@echo " Cleaning up"
	rm -f $(EXECS) *.o core

